
Redmine - Patch #15616

Add a permission setting allowing members to delete their own projects

2013-12-07 01:06 - Anthony Mallet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Description

In order to delegate project subtrees to managers that are not admins, I found useful to implement this patch. It adds an extra

permission setting that allows authorized users to delete their projects. (I could only add french/english translations to the permission

label).

I'm not a rails/redmine expert at all, so feedback is more than welcome. Could it be integrated in the official redmine, or does it raise

some issue that I overlooked?

Thanks

Related issues:

Is duplicate of Redmine - Feature #33945: Allow normal users to delete projec... Closed

History

#1 - 2020-06-11 23:58 - Go MAEDA

- Category changed from Project settings to Permissions and roles

#2 - 2020-11-28 09:58 - Go MAEDA

- Status changed from New to Closed

The same feature has been implemented by #33945 for the upcoming Redmine 4.2.0.

#3 - 2020-11-28 09:58 - Go MAEDA

- Is duplicate of Feature #33945: Allow normal users to delete projects with permission added

Files

delete-project.diff 5.27 KB 2013-12-07 Anthony Mallet
